Bug 1009335 - TestOnly - upgrade path from Fedora 18 with oVirt 3.2 to Fedora 19 with oVirt 3.3
Summary: TestOnly - upgrade path from Fedora 18 with oVirt 3.2 to Fedora 19 with oVirt...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-installer
Version: 3.3
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: ---
: 3.3
Assignee: Sandro Bonazzola
QA Contact:
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-18 08:55 UTC by Sandro Bonazzola
Modified: 2013-11-24 20:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-23 12:15:34 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Sandro Bonazzola 2013-09-18 08:55:37 UTC
Verify the upgrade path from Fedora 18 with oVirt 3.2 to Fedora 19 with oVirt 3.3

Comment 1 Sandro Bonazzola 2013-09-18 12:28:11 UTC
installed a clean F18.

yum distro-sync

installed ovirt-engine-setup.noarch 0:3.2.3-1.fc18

 oVirt Engine will be installed using the following configuration:
 =================================================================
 override-httpd-config:         yes
 http-port:                     80
 https-port:                    443
 host-fqdn:                     ovirt.home
 auth-pass:                     ********
 org-name:                      home
 application-mode:              virt
 default-dc-type:               NFS
 db-remote-install:             local
 db-local-pass:                 ********
 config-nfs:                    no
 override-firewall:             none
 Proceed with the configuration listed above? (yes|no): yes

logged in,
 about:  oVirt Engine Version: 3.2.3-1.fc18 

fedup --network 19

after reboot the following packages are on the system:

# rpm -qa |grep ovirt
 ovirt-engine-setup-3.3.0-4.fc19.noarch
 ovirt-engine-restapi-3.2.3-1.fc18.noarch
 ovirt-engine-webadmin-portal-3.2.3-1.fc18.noarch
 ovirt-engine-lib-3.3.0-4.fc19.noarch
 ovirt-host-deploy-java-1.1.1-1.fc19.noarch
 ovirt-engine-backend-3.2.3-1.fc18.noarch
 ovirt-image-uploader-3.3.0-1.fc19.noarch
 ovirt-log-collector-3.3.0-1.fc19.noarch
 ovirt-engine-cli-3.3.0.4-1.fc19.noarch
 ovirt-engine-genericapi-3.2.3-1.fc18.noarch
 ovirt-host-deploy-1.1.1-1.fc19.noarch
 ovirt-release-fedora-8-1.noarch
 ovirt-engine-dbscripts-3.2.3-1.fc18.noarch
 ovirt-engine-userportal-3.2.3-1.fc18.noarch
 ovirt-engine-sdk-python-3.3.0.6-1.fc19.noarch
 ovirt-engine-3.2.3-1.fc18.noarch
 ovirt-iso-uploader-3.3.0-1.fc19.noarch
 ovirt-engine-tools-3.2.3-1.fc18.noarch

Apache and PosgreSQL are up and running but the following error was found:

# service ovirt-engine status
 Redirecting to /bin/systemctl status  ovirt-engine.service
 ovirt-engine.service - oVirt Engine
   Loaded: loaded (/usr/lib/systemd/system/ovirt-engine.service; enabled)
   Active: failed (Result: exit-code) since mer 2013-09-18 08:01:50 EDT; 1s ago
  Process: 619 ExecStart=/usr/bin/engine-service start (code=exited,  status=1/FAILURE)

 set 18 08:01:49 ovirt.home systemd[1]: Starting oVirt Engine...
 set 18 08:01:49 ovirt.home engine-service[619]: The directory "/usr/lib/jvm/jre-1.7.0-openjdk.x86_64" doesn't exist.
 set 18 08:01:49 ovirt.home engine-service[619]: Starting engine-service: [FAILED]
 set 18 08:01:50 ovirt.home systemd[1]: ovirt-engine.service: control process exited, code=exited status=1
 set 18 08:01:50 ovirt.home systemd[1]: Failed to start oVirt Engine.
 set 18 08:01:50 ovirt.home systemd[1]: Unit ovirt-engine.service entered failed state.


# engine-setup 
 [ INFO  ] Stage: Initializing
 [ INFO  ] Stage: Environment setup
          Configuration files: ['/etc/ovirt-engine-setup.conf.d/10-packaging.conf']
          Log file: /var/log/ovirt-engine/setup/ovirt-engine-setup-20130918080438.log
          Version: otopi-1.1.1 (otopi-1.1.1-1.fc19)
 [ INFO  ] Stage: Environment packages setup
 [ INFO  ] Yum Downloading: updates/19/x86_64 (0%)
 [ INFO  ] Stage: Programs detection
 [ INFO  ] Stage: Environment setup
 [ INFO  ] Stage: Environment customization
         
          --== PACKAGES ==--
         
 [ INFO  ] Checking for product updates...
          Setup has found updates for some packages, do you wish to update them now? (Yes, No) [Yes]: 
 [ INFO  ] Checking for an update for Setup...
          Setup will not be able to rollback new packages in case of a failure, because installed ones were not found in enabled repositories.
          Do you want to abort Setup? (Yes, No) [Yes]: no
         
          --== NETWORK CONFIGURATION ==--
         
          firewalld was detected on your computer. Do you wish Setup to configure it? (yes, no) [yes]: 
         
          --== DATABASE CONFIGURATION ==--
         
          Using existing credentials
         
          --== OVIRT ENGINE CONFIGURATION ==--
         
          Skipping storing options as database already prepared
         
          --== PKI CONFIGURATION ==--
         
          PKI is already configured
         
          --== APACHE CONFIGURATION ==--
         
         
          --== SYSTEM CONFIGURATION ==--
         
          Configure an NFS share on this server to be used as an ISO Domain? (Yes, No) [Yes]: no
         
          --== END OF CONFIGURATION ==--
         
 [ INFO  ] Stage: Setup validation
 [WARNING] Less than 16384MB of memory is available
 [ INFO  ] Cleaning stale zombie tasks
         
          --== CONFIGURATION PREVIEW ==--
         
          Database name                      : engine
          Database secured connection        : False
          Database host                      : localhost
          Database user name                 : engine
          Database host name validation      : False
          Datbase port                       : 5432
          NFS setup                          : False
          Firewall manager                   : firewalld
          Host FQDN                          : ovirt.home
          Set application as default page    : True
          Configure Apache SSL               : False
          Require packages rollback          : False
          Upgrade packages                   : True
         
          Please confirm installation settings (OK, Cancel) [OK]: 
 [ INFO  ] Cleaning async tasks and compensations
 [ INFO  ] Checking the DB consistency
 [ INFO  ] Stage: Transaction setup
 [ INFO  ] Stopping engine service
 [ INFO  ] Stage: Misc configuration
 [ INFO  ] Fixing DB inconsistencies
 [ INFO  ] Stage: Package installation
 [ INFO  ] Yum Status: Downloading Packages
 [ INFO  ] Yum Download/Verify: novnc-0.4-7.fc19.noarch
 [ INFO  ] Yum Download/Verify: ovirt-engine-3.3.0-4.fc19.noarch
 [ INFO  ] Yum Download/Verify: ovirt-engine-backend-3.3.0-4.fc19.noarch
 [ INFO  ] Yum Download/Verify: ovirt-engine-dbscripts-3.3.0-4.fc19.noarch
 [ INFO  ] Yum Download/Verify: ovirt-engine-restapi-3.3.0-4.fc19.noarch
 [ INFO  ] Yum Download/Verify: ovirt-engine-tools-3.3.0-4.fc19.noarch
 [ INFO  ] Yum Downloading: (7/10): ovirt-engine-userportal-3.3.0-4.fc19.noarch.rpm 23 M(42%)
 [ INFO  ] Yum Downloading: (7/10): ovirt-engine-userportal-3.3.0-4.fc19.noarch.rpm 48 M(88%)
 [ INFO  ] Yum Download/Verify: ovirt-engine-userportal-3.3.0-4.fc19.noarch
 [ INFO  ] Yum Downloading: (8/10): ovirt-engine-webadmin-portal-3.3.0-4.fc19.noarch.rpm 22 M(24%)
 [ INFO  ] Yum Downloading: (8/10): ovirt-engine-webadmin-portal-3.3.0-4.fc19.noarch.rpm 47 M(51%)
 [ INFO  ] Yum Downloading: (8/10): ovirt-engine-webadmin-portal-3.3.0-4.fc19.noarch.rpm 72 M(78%)
 [ INFO  ] Yum Download/Verify: ovirt-engine-webadmin-portal-3.3.0-4.fc19.noarch
 [ INFO  ] Yum Download/Verify: python-websockify-0.4.1-1.fc19.noarch
 [ INFO  ] Yum Download/Verify: spice-html5-0.1.2-2.fc19.noarch
 [ INFO  ] Yum Status: Check Package Signatures
         
          Please confirm Confirm use of GPG Key userid=Fedora (19) <fedora@fedoraproject.org> hexkeyid=FB4B18E6 [yes/no]: 
 yes
 [ INFO  ] Yum Status: Running Test Transaction
 [ INFO  ] Yum Status: Running Transaction
 [ INFO  ] Yum install: 1/18: python-websockify-0.4.1-1.fc19.noarch
 [ INFO  ] Yum install: 2/18: novnc-0.4-7.fc19.noarch
 [ INFO  ] Yum install: 3/18: spice-html5-0.1.2-2.fc19.noarch
 [ INFO  ] Yum update: 4/18: ovirt-engine-webadmin-portal-3.3.0-4.fc19.noarch
 [ INFO  ] Yum update: 5/18: ovirt-engine-backend-3.3.0-4.fc19.noarch
 [ INFO  ] Yum obsoleting: 6/18: ovirt-engine-tools-3.3.0-4.fc19.noarch
 [ INFO  ] Yum update: 7/18: ovirt-engine-userportal-3.3.0-4.fc19.noarch
 [ INFO  ] Yum update: 8/18: ovirt-engine-restapi-3.3.0-4.fc19.noarch
 [ INFO  ] Yum update: 9/18: ovirt-engine-3.3.0-4.fc19.noarch
 [ INFO  ] Yum update: 10/18: ovirt-engine-dbscripts-3.3.0-4.fc19.noarch
 [ INFO  ] Yum updated: 11/18: ovirt-engine-backend
 [ INFO  ] Yum erase: 12/18: ovirt-engine-genericapi
 [ INFO  ] Yum updated: 13/18: ovirt-engine-restapi
 [ INFO  ] Yum updated: 14/18: ovirt-engine-tools
 [ INFO  ] Yum updated: 15/18: ovirt-engine-userportal
 [ INFO  ] Yum updated: 16/18: ovirt-engine-webadmin-portal
 [ INFO  ] Yum updated: 17/18: ovirt-engine
 [ INFO  ] Yum updated: 18/18: ovirt-engine-dbscripts
 [ INFO  ] Yum Verify: 1/18: ovirt-engine-dbscripts.noarch 0:3.3.0-4.fc19 - u
 [ INFO  ] Yum Verify: 2/18: ovirt-engine-webadmin-portal.noarch 0:3.3.0-4.fc19 - u
 [ INFO  ] Yum Verify: 3/18: spice-html5.noarch 0:0.1.2-2.fc19 - u
 [ INFO  ] Yum Verify: 4/18: ovirt-engine-backend.noarch 0:3.3.0-4.fc19 - u
 [ INFO  ] Yum Verify: 5/18: novnc.noarch 0:0.4-7.fc19 - u
 [ INFO  ] Yum Verify: 6/18: ovirt-engine-tools.noarch 0:3.3.0-4.fc19 - u
 [ INFO  ] Yum Verify: 7/18: ovirt-engine.noarch 0:3.3.0-4.fc19 - u
 [ INFO  ] Yum Verify: 8/18: ovirt-engine-userportal.noarch 0:3.3.0-4.fc19 - u
 [ INFO  ] Yum Verify: 9/18: ovirt-engine-restapi.noarch 0:3.3.0-4.fc19 - u
 [ INFO  ] Yum Verify: 10/18: python-websockify.noarch 0:0.4.1-1.fc19 - u
 [ INFO  ] Yum Verify: 11/18: ovirt-engine-genericapi.noarch 0:3.2.3-1.fc18 - od
 [ INFO  ] Yum Verify: 12/18: ovirt-engine-webadmin-portal.noarch 0:3.2.3-1.fc18 - ud
 [ INFO  ] Yum Verify: 13/18: ovirt-engine.noarch 0:3.2.3-1.fc18 - ud
 [ INFO  ] Yum Verify: 14/18: ovirt-engine-backend.noarch 0:3.2.3-1.fc18 - ud
 [ INFO  ] Yum Verify: 15/18: ovirt-engine-dbscripts.noarch 0:3.2.3-1.fc18 - ud
 [ INFO  ] Yum Verify: 16/18: ovirt-engine-restapi.noarch 0:3.2.3-1.fc18 - ud
 [ INFO  ] Yum Verify: 17/18: ovirt-engine-tools.noarch 0:3.2.3-1.fc18 - ud
 [ INFO  ] Yum Verify: 18/18: ovirt-engine-userportal.noarch 0:3.2.3-1.fc18 - ud
 [ INFO  ] Stage: Misc configuration
 [ INFO  ] Backing up database to '/var/lib/ovirt-engine/backups/engine-20130918081345.9mMpku.sql'.
 [ INFO  ] Updating database schema
 [ INFO  ] Generating post install configuration file '/etc/ovirt-engine-setup.conf.d/20-setup-ovirt-post.conf'
 [ INFO  ] Stage: Transaction commit
 [ INFO  ] Stage: Closing up
         
          --== SUMMARY ==--
         
 [WARNING] Less than 16384MB of memory is available
          SSH fingerprint: 67:43:27:C2:1F:53:62:58:0E:96:7F:50:4E:E3:7D:94
          Internal CA F0:AA:01:90:96:1E:35:5C:93:82:B3:82:39:F5:5D:2D:4B:01:85:9F
          Web access is enabled at:
              http://ovirt.home:80/ovirt-engine
              https://ovirt.home:443/ovirt-engine
         
          --== END OF SUMMARY ==--
         
 [ INFO  ] Starting engine service
 [ INFO  ] Restarting httpd
 [ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/20130918081411-upgrade.conf'
 [ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20130918080438.log
 [ INFO  ] Stage: Pre-termination
 [ INFO  ] Stage: Termination
 [ INFO  ] Execution of upgrade completed successfully


logged in,
 about: oVirt Engine Version: 3.3.0-4.fc19

Basic upgrade test passed. Please reopen if more testing is needed.

Comment 2 Karim Boumedhel 2013-09-20 22:52:05 UTC
allinone setup worked for me

just encountered the following issues:

-missing link for gpg key 
ln -s /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-19-primary /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-x86_64

-problems with download of packages
solved running yum clean all prior to engine-setup

-novnc/spice html5 not enabled 
yum -y install ovirt-engine-websocket-proxy
engine-setup to activate it 
and access https://your_engine:6100 to accept cert

Comment 3 Itamar Heim 2013-09-23 12:15:34 UTC
bulk closing, assuming verified bugs are in 3.3.

Comment 4 Gianluca Cecchi 2013-11-24 20:13:53 UTC
I confirm it perfectly worked with an AIO setup as in comment#1 from f18 and 3.2.3-1.fc18 to f19 and 3.3.1-2.fc19.
I have two local on host data domains and during engine-setup only one is shown, but then they are both usable after upgrade.
I was also able to upgrade both cluster and datacenter version from 3.2 to 3.3 and use its new options (such as resize disk for a VM).
Thank you very much for the effort.
Gianluca


Note You need to log in before you can comment on or make changes to this bug.